OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
oms::BusConnector Class Reference

BusConnector. More...

`#include <BusConnector.h>`

Inheritance diagram for oms::BusConnector:
[legend]
Collaboration diagram for oms::BusConnector:
[legend]

## Public Member Functions
| BusConnector (const oms::ComRef &name)
| ~BusConnector ()
oms_status_enu_t | exportToSSD (pugi::xml_node &root) const
| BusConnector (const BusConnector &rhs)
BusConnector & | operator= (const BusConnector &rhs)
void | setName (const oms::ComRef &name)
void | setGeometry (const oms::ssd::ConnectorGeometry *newGeometry)
const oms::ComRef | getName () const
const oms::ssd::ConnectorGeometry * | getGeometry () const
oms_status_enu_t | addConnector (const oms::ComRef &cref)
oms_status_enu_t | deleteConnector (const oms::ComRef &cref)
std::vector< oms::ComRef > | getConnectors () const
void | updateConnectors ()

## Private Attributes
std::vector< oms::ComRef > | conrefs

## Detailed Description

BusConnector.

## Constructor & Destructor Documentation

## ◆ BusConnector() [1/2]

oms::BusConnector::BusConnector | ( | const oms::ComRef & | name | ) |

Here is the call graph for this function:

## ◆ ~BusConnector()

oms::BusConnector::~BusConnector | ( |  | ) |

## ◆ BusConnector() [2/2]

oms::BusConnector::BusConnector | ( | const BusConnector & | rhs | ) |

## Member Function Documentation

## ◆ addConnector()

oms_status_enu_t oms::BusConnector::addConnector | ( | const oms::ComRef & | cref | ) |

## ◆ deleteConnector()

oms_status_enu_t oms::BusConnector::deleteConnector | ( | const oms::ComRef & | cref | ) |

## ◆ exportToSSD()

oms_status_enu_t oms::BusConnector::exportToSSD | ( | pugi::xml_node & | root | ) | const

## ◆ getConnectors()

std::vector< oms::ComRef > oms::BusConnector::getConnectors | ( |  | ) | const
| inline

## ◆ getGeometry()

const oms::ssd::ConnectorGeometry * oms::BusConnector::getGeometry | ( |  | ) | const
| inline

## ◆ getName()

const oms::ComRef oms::BusConnector::getName | ( |  | ) | const
| inline

## ◆ operator=()

oms::BusConnector & oms::BusConnector::operator= | ( | const BusConnector & | rhs | ) |

## ◆ setGeometry()

void oms::BusConnector::setGeometry | ( | const oms::ssd::ConnectorGeometry * | newGeometry | ) |

Here is the caller graph for this function:

## ◆ setName()

void oms::BusConnector::setName | ( | const oms::ComRef & | name | ) |

Here is the call graph for this function:

## ◆ updateConnectors()

void oms::BusConnector::updateConnectors | ( |  | ) |

## Member Data Documentation

## ◆ conrefs

std::vector<oms::ComRef> oms::BusConnector::conrefs
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/BusConnector.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/BusConnector.cpp